Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595911 - Document APIs that have changed in a breaking way in JON2.4
Summary: Document APIs that have changed in a breaking way in JON2.4
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Documentation
Version: unspecified
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: Deon Ballard
QA Contact: Andrew Ross
URL:
Whiteboard:
Depends On:
Blocks: jon24-docs
TreeView+ depends on / blocked
 
Reported: 2010-05-25 21:57 UTC by Charles Crouch
Modified: 2015-02-01 23:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-11 01:22:31 UTC


Attachments (Terms of Use)

Description Charles Crouch 2010-05-25 21:57:28 UTC
Right now the only breaking api change seems to be around 
ChannelManager going to RepoManager, and presumably associated domain objects were also changed.

More details are:
http://rhq-project.org/display/RHQ/API+Changes+Between+JOPR+2.3.1+And+RHQ+3.0.0

Comment 2 Deon Ballard 2010-07-12 23:08:33 UTC
I made a section in the release notes for "structural changes" here:
http://elladeon.fedorapeople.org/jon-drafts/3.0/rel-notes/changes-in-behavior.html

I also updated the names of a couple of the variables in http://elladeon.fedorapeople.org/jon-drafts/3.0/cli/Working_with_the_CLI-Implicit_Variables.html.

Comment 3 Corey Welton 2010-08-18 19:39:31 UTC
Verified.


Note You need to log in before you can comment on or make changes to this bug.